{ pkgs, config, ...}: {
  services.miniflux = {
    enable = true;
    adminCredentialsFile = config.age.secrets.miniflux.path;
    config = {
      CLEANUP_FREQUENCY_HOURS = "72";
      LISTEN_ADDR = "0.0.0.0:26343";
      BASE_URL = "https://flux.matri.cx";
    };
  };
}
