{ config, lib, pkgs, ... }:
{
  nixpkgs.overlays = [
    (final: prev: {
      bun = prev.bun.overrideAttrs (old: rec {
        name = "bun-${version}";
        version = "1.0.1";
        src = pkgs.fetchurl {
          url = "https://github.com/oven-sh/bun/releases/download/bun-v${version}/bun-linux-x64.zip";
          sha256 = "sha256-RmgnWTG6kTebYwIa/VAwvvJmbL+ARNC+HkbF4mJPF7o=";
        };
      });
    })
  ];
}
