{ config, pkgs, ... }: {
  programs.bash.promptInit = ''
    PS1='\u@\h:\w\n-> '
  '';
  users.users = {
    sezycei = {
      isNormalUser = true;
      extraGroups = [ "wheel" "nginx" ];
      packages = with pkgs; [ atuin bun byobu purescript stack tmux ];
    };

    cridycei = {
      isNormalUser = true;
      extraGroups = [ ];
      packages = with pkgs; [ ];
    };

    torrent = {
      isNormalUser = true;
      homeMode = "770";
    };
  };
}
